/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.builder.entity;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.model.ee.ReceivedEligibility;

// Messaging Classes

/**
 * @author Martin Francisco
 */
public interface ReceivedEligibilityMetaData
{
    public ReceivedEligibility getEntity();

    public void setEntity(ReceivedEligibility entity);

    public String getType(); 
    
    public String getAlliedCountryOrFederalAgency();  
    
    /**
     * This is for VOA only and it means that the applicant uploaded an attachment
     * @return Returns true or false
     */
    public boolean  isVoaHasAttachment();

    
}